Package org.drinkless.tdlib

# Class TdApi.InlineQueryResultVenue

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InlineQueryResult
org.drinkless.tdlib.TdApi.InlineQueryResultVenue

Enclosing class:
  `TdApi`

public static class TdApi.InlineQueryResultVenue extends TdApi.InlineQueryResult
Represents information about a venue.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InlineQueryResult

  `TdApi.InlineQueryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Unique identifier of the query result.
  `TdApi.Thumbnail`
  `thumbnail`
  Result thumbnail in JPEG format; may be null.
  `TdApi.Venue`
  `venue`
  Venue result.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineQueryResultVenue()`
  Represents information about a venue.
  `InlineQueryResultVenue(String id, TdApi.Venue venue, TdApi.Thumbnail thumbnail)`
  Represents information about a venue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the query result.

  - ### venue

    public TdApi.Venue venue
    Venue result.

  - ### thumbnail

    @Nullable public TdApi.Thumbnail thumbnail
    Result thumbnail in JPEG format; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InlineQueryResultVenue

    public InlineQueryResultVenue()
    Represents information about a venue.

  - ### InlineQueryResultVenue

    public InlineQueryResultVenue(String id, TdApi.Venue venue, TdApi.Thumbnail thumbnail)
    Represents information about a venue.
    Parameters:
      `id` - Unique identifier of the query result.
      `venue` - Venue result.
      `thumbnail` - Result thumbnail in JPEG format; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InlineQueryResult`
    Returns:
      this.CONSTRUCTOR